
Charm for IBM Integration Bus(IB) 10.0.0.0

Overview
--------

IBM IB

IBM Integration Bus can be used to connect applications together, regardless of the message formats or protocols that they support.

This connectivity means that your diverse applications can interact and exchange data with other applications in a flexible, dynamic, and extensible infrastructure. IBM Integration Bus routes, transforms, and enriches messages from one location to any other location.

More information available at the [IBM Knowledge Center](http://www-01.ibm.com/support/knowledgecenter/SSMKHH_10.0.0/com.ibm.etools.mft.doc/bb43020_.htm)

Usage
-----

Download your licensed IBM IB 10.0.0.0 software for Ubuntu and put up it's contents on a web server like Apache and configure Apache to serve this package. This package can be then be accessed using a URL from the web server.

#Creating the repositories in Apache
Run steps below with admin access

Install needed packages
    apt-get install dpkg-dev apache2
Create a repository on Apache server under your Apache repository directory.
Configure Apache server to allow access to the repository.

To install the downloaded binaries you must agree to the IBM license. You can view the full license for IBM Integration Bus by visiting the [Software license agreements search website](http://www-03.ibm.com/software/sla/sladb.nsf/search). Search for "IBM Integration Bus" and choose the license that applies to the version you are using.


Run the following to deploy this charm:

    juju deploy ibm-ib 

At this point the charm will wait until the user accepts the license.  If you 
agree to the license, run the following command:

If the URL and package is configured in the config.yaml:

    juju set ibm-ib accept-ibm-ib-license=True 

If not, 
    juju set ibm-ib accept-ibm-ib-license=True url=<Web server URL> package=<IB Package name>

IBM Integration Bus can take advantage of additional functionality provided by IBM MQ product. Look up the MQ charm for it's deployment details. It is necessary to deploy MQ to the same container as IB::

    juju deploy ibm-mq --to <machine number of IB>
    juju set ibm-mq accept-ibm-mq-license=True

To setup a relation between IB and MQ:

    juju add-relation ibm-mq ibm-ib 

To remove a relation between IB and MQ:

    juju remove-relation ibm-mq ibm-ib 

Configuration
-------------

`accept-ibm-ib-license`  
Before you can use or install IBM IB, 
you must accept the terms of International License 
Agreement for Non-Warranted Programs and additional license information. 
Please read the license agreement carefully.  

Check the Usage section on getting the license agreement.

Set the value of accept-ibm-ib-license to True if you agree to IBM IB license.

**The IBM IB software cannot be installed until the terms and
conditions are accepted.  The charm will not function correctly until the
this configuration option is set to True.**  

`url`  
The web server URL from which IBM IB install package can be downloaded.

`package`  
The IB Package name. If not set, it is assigned the value "IIB_V10.0.0_LINUX_X86-64.tar.gz" for x86_64 based machine.

`sha`
Checksum value to check integrity of IBM IB pacakage. The Charm uses sha1sum to check the integrity. If empty, it does not carry out the integrity check.

IBM IB Information
-------------------

(1) General Information
Information on IBM IB available at the [IB Infocenter](http://www-01.ibm.com/support/knowledgecenter/SSMKHH_10.0.0/com.ibm.etools.msgbroker.helphome.doc/help_home_msgbroker.htm?lang=en).

(2) Download Information
Information on procuring IB product is available at the [Passport Advantage Site](http://www-01.ibm.com/software/passportadvantage/)

A Developer version is available [here](https://www14.software.ibm.com/webapp/iwm/web/pick.do?source=swg-wmbfd&S_TACT=109KA7GW&S_CMP=web_opp_ibm_ws_appint_integrationbus&lang=en_US)

A trial version is available [here](http://www-03.ibm.com/software/products/en/integration-bus-advanced)

(3) Contact Information
For issues with this charm, please contact jujusupp@us.ibm.com

